Tryton - Issues

 

Message39831

Author Artem
Recipients ced
Date 2018-04-06.09:55:10
Content
Here is the full traceback: 

Traceback (most recent call last):
  File "/trytond/model/model.py", line 384, in __getattr__
    return self._values[name]
TypeError: 'NoneType' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/trytond/wsgi.py", line 70, in dispatch_request
    return endpoint(request, **request.view_args)
  File "/trytond/protocols/dispatcher.py", line 41, in rpc
    request, database_name, *request.rpc_params)
  File "/trytond/wsgi.py", line 41, in auth_required
    return wrapped(*args, **kwargs)
  File "/trytond/protocols/wrappers.py", line 110, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/trytond/protocols/dispatcher.py", line 165, in _dispatch
    result = rpc.result(meth(*c_args, **c_kwargs))
  File "/trytond/wizard/wizard.py", line 287, in execute
    return wizard._execute(state_name)
  File "/trytond/wizard/wizard.py", line 318, in _execute
    result = self._execute(transition())
  File "/trytond/wizard/wizard.py", line 318, in _execute
    result = self._execute(transition())
  File "/trytond/modules/account_invoice/invoice.py", line 2625, in transition_pay
    and self.ask.type != 'writeoff'):
  File "/trytond/model/model.py", line 387, in __getattr__
    % (self.__name__, name, self._values))
AttributeError: 'account.invoice.pay.ask' Model has no attribute 'type': None
History
Date User Action Args
2018-04-06 09:55:11Artemsetmessageid: <1523001311.23.0.61521904826.issue7192@tryton.org>
2018-04-06 09:55:11Artemsetrecipients: + ced
2018-04-06 09:55:11Artemlinkissue7192 messages
2018-04-06 09:55:10Artemcreate

Showing 10 items. Show all history (warning: this could be VERY long)